# Checks

## Shared functions

There is one include script used by all checks:
[inc_pluginfunctions](inc_pluginfunctions.md)

## Check scripts

* [about](about.md)
* [check_apache_requests](check_apache_requests.md)
* [check_ceph_diskfree](check_ceph_diskfree.md)
* [check_ceph_io](check_ceph_io.md)
* [check_ceph_osd](check_ceph_osd.md)
* [check_ceph_status](check_ceph_status.md)
* [check_clientbackup](check_clientbackup.md)
* [check_couchdb](check_couchdb.md)
* check_couchdb-lb
* [check_cpu](check_cpu.md)
* [check_cronstatus](check_cronstatus.md)
* [check_disk-io](check_disk-io.md)
* [check_dns_responsetime](check_dns_responsetime.md)
* [check_docker_info](check_docker_info.md)
* [check_docker_stats](check_docker_stats.md)
* [check_dockercontainer_top](check_dockercontainer_top.md)
* [check_eol](check_eol.md)
* [check_fs_errors](check_fs_errors.md)
* [check_fs_writable](check_fs_writable.md)
* [check_gitlab_tokens](check_gitlab_tokens.md)
* [check_haproxy_health](check_haproxy_health.md)
* [check_haproxy_status](check_haproxy_status.md)
* [check_http](check_http.md)
* [check_iml_backup_server](check_iml_backup_server.md)
* [check_journallog](check_journallog.md)
* [check_memory](check_memory.md)
* [check_mysqlserver](check_mysqlserver.md)
* [check_netio](check_netio.md)
* [check_netstat](check_netstat.md)
* [check_onehost](check_onehost.md)
* [check_onevm](check_onevm.md)
* [check_opencpu](check_opencpu.md)
* [check_packages2install](check_packages2install.md)
* [check_php-fpm-status](check_php-fpm-status.md)
* [check_proc_mem](check_proc_mem.md)
* [check_proc_ressources](check_proc_ressources.md)
* [check_proc_zombie](check_proc_zombie.md)
* [check_psqlserver](check_psqlserver.md)
* [check_rearbackup](check_rearbackup.md)
* [check_reboot_required](check_reboot_required.md)
* [check_requirements](check_requirements.md)
* [check_smartstatus](check_smartstatus.md)
* [check_snmp_data](check_snmp_data.md)
* check_snmp_printer
* check_snmp_switch
* [check_snmp_synology](check_snmp_synology.md)
* check_ssl
* [check_ssl_certs](check_ssl_certs.md)
* check_systemdservices
* [check_systemdunit](check_systemdunit.md)
* check_timesync
* check_uptime
* hello
